.. _laser-sources:

Laser Sources
-------------
Classes representing laser beam sources.

.. autoclass:: FlowCyPy.source.GaussianBeam
   :members:
   :show-inheritance:
   :exclude-members: numerical_aperture, optical_power, polarization, wavelength

.. autoclass:: FlowCyPy.source.AstigmaticGaussianBeam
   :members:
   :show-inheritance:
   :exclude-members: numerical_aperture_x, numerical_aperture_y, optical_power, polarization, wavelength
